# DoME 5.0 model; type: Projector Diagram
[ProjectorGraph
  nodes: [OrderedCollection
    [ProjectorShelfHolder
      name: 'Projector Shelf Holder'!
      position: [Point 179 125]
      subdiagrams: [OrderedCollection
	[ProjectorArchetypeGraph
	  name: 'Projector Archetypes'!
	  nodes: [OrderedCollection
	    [ProjectorProcedure
	      name: 'generate-scheme'!
	      position: [Point 194 102]
	      archetype: [GrapEThingAddress
		id: 97!
	      ]

	      components: [PartitionedCollection
		key: #accessories!
		value: [PartitionedCollection
		  key: #ports!
		  value: [OrderedCollection
		    [ProjectorDataPort
		      name: 'component'!
		      position: [Point -1 -14]
		      id: 95!
		      properties: [GrapEPropertyDictionary
			key: #direction!
			value: #In!
		      ]

		    ]

		    [ProjectorDataPort
		      name: 'port'!
		      position: [Point -47 4]
		      id: 96!
		      properties: [GrapEPropertyDictionary
			key: #direction!
			value: #In!
		      ]

		    ]

		  ]
		]

	      ]

	      subdiagrams: [OrderedCollection
		[ProjectorGraph
		  nodes: [OrderedCollection
		    [ProjectorDataPort
		      position: [Point 53 67]
		      parentCon: [GrapEThingAddress
			id: 95!
		      ]

		      id: 99!
		    ]

		    [ProjectorDataPort
		      position: [Point 109 180]
		      parentCon: [GrapEThingAddress
			id: 96!
		      ]

		      id: 105!
		    ]

		    [ProjectorConstant
		      position: [Point 72 164]
		      id: 107!
		      properties: [GrapEPropertyDictionary
			key: #value!
			value: '"attributes"'!
		      ]

		    ]

		    [ProjectorGraphLabel
		      name: 'generateScheme'!
		      position: [Point 92 27]
		    ]

		    [ProjectorProcedure
		      name: 'attributes'!
		      position: [Point 199 67]
		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      name: 'Port1'!
			      position: [Point -28 0]
			      id: 138!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #In!
			      ]

			    ]

			    [ProjectorDataPort
			      position: [Point 3 14]
			      id: 139!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #Out!
			      ]

			    ]

			  ]
			]

		      ]

		    ]

		    [ProjectorProcedure
		      name: 'name'!
		      position: [Point 203 117]
		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      name: 'Port1'!
			      position: [Point -1 -14]
			      id: 140!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #In!
			      ]

			    ]

			    [ProjectorDataPort
			      position: [Point 2 14]
			      id: 141!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #Out!
			      ]

			    ]

			  ]
			]

		      ]

		    ]

		    [ProjectorProcedure
		      name: 'schemeMethod'!
		      position: [Point 208 173]
		      archetype: [GrapEThingAddress
			id: 127!
		      ]

		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      name: 'name'!
			      position: [Point -3 -14]
			      parentCon: [GrapEThingAddress
				id: 129!
			      ]

			      id: 149!
			    ]

			    [ProjectorDataPort
			      name: 'typeName'!
			      position: [Point -30 -14]
			      parentCon: [GrapEThingAddress
				id: 145!
			      ]

			      id: 156!
			    ]

			    [ProjectorDataPort
			      name: 'category'!
			      position: [Point -43 -8]
			      parentCon: [GrapEThingAddress
				id: 130!
			      ]

			      id: 151!
			    ]

			    [ProjectorDataPort
			      name: 'port'!
			      position: [Point -43 8]
			      parentCon: [GrapEThingAddress
				id: 131!
			      ]

			      id: 150!
			    ]

			  ]
			]

		      ]

		      bindings: [Set
			[ModelBinding
			  name: 'default'!
			  model: [GrapEThingAddress
			    id: 128!
			  ]

			]

		      ]
		    ]

		    [ProjectorFork
		      position: [Point 112 67]
		      id: 148!
		    ]

		    [ProjectorProcedure
		      name: 'smalltalkClassName'!
		      position: [Point 112 118]
		      archetype: [GrapEThingAddress
			id: 271!
		      ]

		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      name: 'Port1'!
			      position: [Point 0 -14]
			      parentCon: [GrapEThingAddress
				id: 152!
			      ]

			      id: 279!
			    ]

			    [ProjectorDataPort
			      position: [Point 0 14]
			      parentCon: [GrapEThingAddress
				id: 153!
			      ]

			      id: 280!
			    ]

			  ]
			]

		      ]

		      bindings: [Set
			[ModelBinding
			  name: 'default'!
			  model: [GrapEThingAddress
			    id: 272!
			  ]

			]

		      ]
		    ]

		  ]
		  arcs: [OrderedCollection
		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 99!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 148!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 139!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 140!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #transfer!
			value: #reduce!
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 141!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 149!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 105!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 150!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #transfer!
			value: #maintain!
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 107!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 151!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #transfer!
			value: #maintain!
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 148!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 138!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 148!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 279!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 280!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 156!
		      ]

		      route: [OrderedCollection
			[Point 112 151]
			[Point 178 151]
		      ]
		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #transfer!
			value: #maintain!
			key: #frozenColor!
			value: true!
		      ]

		    ]

		  ]
		  currentConfig: 'default'!
		  id: 98!
		  properties: [GrapEPropertyDictionary
		    key: #associatedClass!
		    value: #MetaDoMETwoListNode!
		    key: #windowBounds!
		    value: [Rectangle
		      origin: [Point 690 483]
		      corner: [Point 1150 873]
		    ]

		  ]

		]

		[ProjectorGraph
		  nodes: [OrderedCollection
		    [ProjectorDataPort
		      position: [Point 40 100]
		      parentCon: [GrapEThingAddress
			id: 95!
		      ]

		    ]

		    [ProjectorDataPort
		      position: [Point 40 206]
		      parentCon: [GrapEThingAddress
			id: 96!
		      ]

		    ]

		    [ProjectorGraphLabel
		      name: 'generateScheme'!
		      position: [Point 94 30]
		    ]

		  ]
		  properties: [GrapEPropertyDictionary
		    key: #associatedClass!
		    value: #MetaDoMEGraphLabel!
		    key: #windowBounds!
		    value: [Rectangle
		      origin: [Point 536 415]
		      corner: [Point 996 805]
		    ]

		  ]

		]

		[ProjectorGraph
		  nodes: [OrderedCollection
		    [ProjectorDataPort
		      position: [Point 73 76]
		      parentCon: [GrapEThingAddress
			id: 95!
		      ]

		      id: 157!
		    ]

		    [ProjectorDataPort
		      position: [Point 108 225]
		      parentCon: [GrapEThingAddress
			id: 96!
		      ]

		      id: 161!
		    ]

		    [ProjectorGraphLabel
		      name: 'generateScheme'!
		      position: [Point 83 26]
		    ]

		    [ProjectorProcedure
		      name: 'outgoing-arcs'!
		      position: [Point 197 76]
		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      position: [Point -41 0]
			      id: 171!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #In!
			      ]

			    ]

			    [ProjectorDataPort
			      position: [Point 2 14]
			      id: 159!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #Out!
			      ]

			    ]

			  ]
			]

		      ]

		    ]

		    [ProjectorProcedure
		      name: 'name'!
		      position: [Point 199 170]
		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      name: 'Port1'!
			      position: [Point 1 -10]
			      id: 160!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #In!
			      ]

			    ]

			    [ProjectorDataPort
			      position: [Point 0 10]
			      id: 165!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #Out!
			      ]

			    ]

			  ]
			]

		      ]

		    ]

		    [ProjectorConstant
		      position: [Point 83 208]
		      id: 163!
		      properties: [GrapEPropertyDictionary
			key: #value!
			value: '"facets"'!
		      ]

		    ]

		    [ProjectorProcedure
		      name: 'schemeMethod'!
		      position: [Point 203 216]
		      archetype: [GrapEThingAddress
			id: 127!
		      ]

		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      name: 'name'!
			      position: [Point -4 -10]
			      parentCon: [GrapEThingAddress
				id: 129!
			      ]

			      id: 166!
			    ]

			    [ProjectorDataPort
			      name: 'typeName'!
			      position: [Point -30 -10]
			      parentCon: [GrapEThingAddress
				id: 145!
			      ]

			      id: 170!
			    ]

			    [ProjectorDataPort
			      name: 'category'!
			      position: [Point -46 -8]
			      parentCon: [GrapEThingAddress
				id: 130!
			      ]

			      id: 164!
			    ]

			    [ProjectorDataPort
			      name: 'port'!
			      position: [Point -46 8]
			      parentCon: [GrapEThingAddress
				id: 131!
			      ]

			      id: 162!
			    ]

			  ]
			]

		      ]

		    ]

		    [ProjectorProcedure
		      name: 'smalltalkClassName'!
		      position: [Point 114 170]
		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      name: 'Port1'!
			      position: [Point 0 -10]
			      id: 172!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #In!
			      ]

			    ]

			    [ProjectorDataPort
			      position: [Point 0 10]
			      id: 167!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #Out!
			      ]

			    ]

			  ]
			]

		      ]

		    ]

		    [ProjectorFork
		      position: [Point 200 110]
		      id: 173!
		    ]

		    [ProjectorProcedure
		      name: 'destination'!
		      position: [Point 111 138]
		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      name: 'Port1'!
			      position: [Point 0 -10]
			      id: 175!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #In!
			      ]

			    ]

			    [ProjectorDataPort
			      position: [Point 2 10]
			      id: 174!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #Out!
			      ]

			    ]

			  ]
			]

		      ]

		    ]

		  ]
		  arcs: [OrderedCollection
		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 159!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 173!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #transfer!
			value: #reduce!
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 161!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 162!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #transfer!
			value: #maintain!
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 163!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 164!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #transfer!
			value: #maintain!
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 165!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 166!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 167!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 170!
		      ]

		      route: [OrderedCollection
			[Point 114 191]
			[Point 173 191]
		      ]
		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #transfer!
			value: #maintain!
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 157!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 171!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 174!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 172!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 173!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 160!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 173!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 175!
		      ]

		      route: [OrderedCollection
			[Point 111 110]
		      ]
		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		  ]
		  properties: [GrapEPropertyDictionary
		    key: #associatedClass!
		    value: #DomainPartWhole!
		    key: #windowBounds!
		    value: [Rectangle
		      origin: [Point 16 304]
		      corner: [Point 476 694]
		    ]

		  ]

		]

		[ProjectorGraph
		  nodes: [OrderedCollection
		    [ProjectorDataPort
		      position: [Point 45 100]
		      parentCon: [GrapEThingAddress
			id: 95!
		      ]

		    ]

		    [ProjectorDataPort
		      position: [Point 45 150]
		      parentCon: [GrapEThingAddress
			id: 96!
		      ]

		    ]

		    [ProjectorGraphLabel
		      name: 'generateScheme'!
		      position: [Point 88 28]
		    ]

		    [ProjectorNote
		      name: 'Nothing to Generate'!
		      position: [Point 190 132]
		      color: [ColorValue
			red: 1.0!
			green: 0.0!
			blue: 0.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		  ]
		  properties: [GrapEPropertyDictionary
		    key: #associatedClass!
		    value: #MetaDoMEGenSpec!
		    key: #windowBounds!
		    value: [Rectangle
		      origin: [Point 95 23]
		      corner: [Point 555 413]
		    ]

		  ]

		]

		[ProjectorGraph
		  nodes: [OrderedCollection
		    [ProjectorDataPort
		      position: [Point 49 100]
		      parentCon: [GrapEThingAddress
			id: 95!
		      ]

		    ]

		    [ProjectorDataPort
		      position: [Point 49 150]
		      parentCon: [GrapEThingAddress
			id: 96!
		      ]

		    ]

		    [ProjectorGraphLabel
		      name: 'generateScheme'!
		      position: [Point 85 35]
		    ]

		  ]
		  properties: [GrapEPropertyDictionary
		    key: #associatedClass!
		    value: #MetaDoMEMenuSpec!
		    key: #windowBounds!
		    value: [Rectangle
		      origin: [Point 15 30]
		      corner: [Point 475 420]
		    ]

		  ]

		]

		[ProjectorGraph
		  nodes: [OrderedCollection
		    [ProjectorDataPort
		      position: [Point 54 100]
		      parentCon: [GrapEThingAddress
			id: 95!
		      ]

		    ]

		    [ProjectorDataPort
		      position: [Point 54 150]
		      parentCon: [GrapEThingAddress
			id: 96!
		      ]

		    ]

		    [ProjectorGraphLabel
		      name: 'generateScheme'!
		      position: [Point 90 35]
		    ]

		  ]
		  properties: [GrapEPropertyDictionary
		    key: #associatedClass!
		    value: #MetaDoMEEnumeration!
		    key: #windowBounds!
		    value: [Rectangle
		      origin: [Point 15 30]
		      corner: [Point 475 420]
		    ]

		  ]

		]

		[ProjectorGraph
		  nodes: [OrderedCollection
		    [ProjectorDataPort
		      position: [Point 40 100]
		      parentCon: [GrapEThingAddress
			id: 95!
		      ]

		    ]

		    [ProjectorDataPort
		      position: [Point 40 150]
		      parentCon: [GrapEThingAddress
			id: 96!
		      ]

		    ]

		    [ProjectorGraphLabel
		      name: 'generateScheme'!
		      position: [Point 76 35]
		    ]

		    [ProjectorNote
		      name: 'Nothing to Generate'!
		      position: [Point 190 132]
		      color: [ColorValue
			red: 1.0!
			green: 0.0!
			blue: 0.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		  ]
		  properties: [GrapEPropertyDictionary
		    key: #associatedClass!
		    value: #NetNote!
		    key: #windowBounds!
		    value: [Rectangle
		      origin: [Point 157 363]
		      corner: [Point 617 753]
		    ]

		  ]

		]

		[ProjectorGraph
		  nodes: [OrderedCollection
		    [ProjectorDataPort
		      position: [Point 55 100]
		      parentCon: [GrapEThingAddress
			id: 95!
		      ]

		    ]

		    [ProjectorDataPort
		      position: [Point 55 150]
		      parentCon: [GrapEThingAddress
			id: 96!
		      ]

		    ]

		    [ProjectorGraphLabel
		      name: 'generateScheme'!
		      position: [Point 91 35]
		    ]

		  ]
		  properties: [GrapEPropertyDictionary
		    key: #associatedClass!
		    value: #MetaDoMEToolBarSpec!
		    key: #windowBounds!
		    value: [Rectangle
		      origin: [Point 15 30]
		      corner: [Point 475 420]
		    ]

		  ]

		]

		[ProjectorGraph
		  nodes: [OrderedCollection
		    [ProjectorDataPort
		      position: [Point 40 100]
		      parentCon: [GrapEThingAddress
			id: 95!
		      ]

		    ]

		    [ProjectorDataPort
		      position: [Point 40 150]
		      parentCon: [GrapEThingAddress
			id: 96!
		      ]

		    ]

		    [ProjectorGraphLabel
		      name: 'generateScheme'!
		      position: [Point 86 32]
		    ]

		    [ProjectorNote
		      name: 'Nothing To Generate'!
		      position: [Point 190 131]
		      color: [ColorValue
			red: 1.0!
			green: 0.0!
			blue: 0.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		  ]
		  properties: [GrapEPropertyDictionary
		    key: #associatedClass!
		    value: #MetaDoMENodePart!
		    key: #windowBounds!
		    value: [Rectangle
		      origin: [Point 112 164]
		      corner: [Point 572 554]
		    ]

		  ]

		]

		[ProjectorGraph
		  nodes: [OrderedCollection
		    [ProjectorDataPort
		      position: [Point 50 151]
		      parentCon: [GrapEThingAddress
			id: 95!
		      ]

		      id: 228!
		    ]

		    [ProjectorDataPort
		      position: [Point 198 200]
		      parentCon: [GrapEThingAddress
			id: 96!
		      ]

		      id: 222!
		    ]

		    [ProjectorGraphLabel
		      name: 'generateScheme'!
		      position: [Point 140 50]
		    ]

		    [ProjectorStatementBlock
		      position: [Point 359 114]
		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      name: 'node'!
			      position: [Point -111 37]
			      id: 224!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #In!
			      ]

			    ]

			    [ProjectorDataPort
			      name: 'port'!
			      position: [Point -111 85]
			      id: 223!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #In!
			      ]

			    ]

			    [ProjectorDataPort
			      position: [Point -111 9]
			      id: 239!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #In!
			      ]

			    ]

			  ]
			]

			key: #elements!
			value: [PartitionedCollection
			  key: #statements!
			  value: [SortedCollection
			    [ProjectorConstant
			      position: [Point -71 74]
			      id: 231!
			      properties: [GrapEPropertyDictionary
				key: #value!
				value: '"attributes"'!
			      ]

			    ]

			    [ProjectorProcedure
			      name: 'name'!
			      position: [Point 52 45]
			      components: [PartitionedCollection
				key: #accessories!
				value: [PartitionedCollection
				  key: #ports!
				  value: [OrderedCollection
				    [ProjectorDataPort
				      name: 'Port1'!
				      position: [Point 0 -10]
				      id: 235!
				      properties: [GrapEPropertyDictionary
					key: #direction!
					value: #In!
				      ]

				    ]

				    [ProjectorDataPort
				      position: [Point 1 10]
				      id: 236!
				      properties: [GrapEPropertyDictionary
					key: #direction!
					value: #Out!
				      ]

				    ]

				  ]
				]

			      ]

			    ]

			    [ProjectorProcedure
			      name: 'schemeMethodFor'!
			      position: [Point 37 81]
			      archetype: [GrapEThingAddress
				id: 193!
			      ]

			      components: [PartitionedCollection
				key: #accessories!
				value: [PartitionedCollection
				  key: #ports!
				  value: [OrderedCollection
				    [ProjectorDataPort
				      name: 'node'!
				      position: [Point -38 -14]
				      parentCon: [GrapEThingAddress
					id: 194!
				      ]

				      id: 227!
				    ]

				    [ProjectorDataPort
				      name: 'name'!
				      position: [Point 16 -14]
				      parentCon: [GrapEThingAddress
					id: 195!
				      ]

				      id: 237!
				    ]

				    [ProjectorDataPort
				      name: 'category'!
				      position: [Point -51 -7]
				      parentCon: [GrapEThingAddress
					id: 196!
				      ]

				      id: 232!
				    ]

				    [ProjectorDataPort
				      name: 'port'!
				      position: [Point -51 5]
				      parentCon: [GrapEThingAddress
					id: 197!
				      ]

				      id: 233!
				    ]

				  ]
				]

			      ]

			      bindings: [Set
				[ModelBinding
				  name: 'default'!
				  model: [GrapEThingAddress
				    id: 295!
				  ]

				]

			      ]
			    ]

			  ]
			]

		      ]

		    ]

		    [ProjectorProcedure
		      name: 'attributes'!
		      position: [Point 175 123]
		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      name: 'Port1'!
			      position: [Point -29 0]
			      id: 240!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #In!
			      ]

			    ]

			    [ProjectorDataPort
			      position: [Point 30 0]
			      id: 241!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #Out!
			      ]

			    ]

			  ]
			]

		      ]

		    ]

		    [ProjectorFork
		      position: [Point 98 151]
		      id: 238!
		    ]

		    [ProjectorProcedure
		      name: 'allsubclasses'!
		      position: [Point 173 151]
		      archetype: [GrapEThingAddress
			id: 281!
		      ]

		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      name: 'Port1'!
			      position: [Point -40 0]
			      parentCon: [GrapEThingAddress
				id: 229!
			      ]

			      id: 290!
			    ]

			    [ProjectorDataPort
			      position: [Point 41 0]
			      parentCon: [GrapEThingAddress
				id: 230!
			      ]

			      id: 289!
			    ]

			  ]
			]

		      ]

		      bindings: [Set
			[ModelBinding
			  name: 'default'!
			  model: [GrapEThingAddress
			    id: 282!
			  ]

			]

		      ]
		    ]

		  ]
		  arcs: [OrderedCollection
		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 222!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 223!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #transfer!
			value: #maintain!
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 224!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 227!
		      ]

		      route: [OrderedCollection
			[Point 358 151]
		      ]
		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #transfer!
			value: #maintain!
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 228!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 238!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 289!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 224!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #transfer!
			value: #reduce!
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 231!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 232!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #transfer!
			value: #maintain!
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 223!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 233!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #transfer!
			value: #maintain!
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 239!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 235!
		      ]

		      route: [OrderedCollection
			[Point 411 123]
		      ]
		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #transfer!
			value: #reduce!
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 236!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 237!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 238!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 240!
		      ]

		      route: [OrderedCollection
			[Point 98 123]
		      ]
		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 238!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 290!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 241!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 239!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #transfer!
			value: #maintain!
			key: #frozenColor!
			value: true!
		      ]

		    ]

		  ]
		  currentConfig: 'default'!
		  id: 291!
		  properties: [GrapEPropertyDictionary
		    key: #associatedClass!
		    value: #MetaDoMEGenericSpec!
		    key: #windowBounds!
		    value: [Rectangle
		      origin: [Point 78 390]
		      corner: [Point 661 870]
		    ]

		  ]

		]

		[ProjectorGraph
		  nodes: [OrderedCollection
		    [ProjectorDataPort
		      position: [Point 40 100]
		      parentCon: [GrapEThingAddress
			id: 95!
		      ]

		    ]

		    [ProjectorDataPort
		      position: [Point 40 150]
		      parentCon: [GrapEThingAddress
			id: 96!
		      ]

		    ]

		    [ProjectorGraphLabel
		      name: 'generateScheme'!
		      position: [Point 76 35]
		    ]

		  ]
		  properties: [GrapEPropertyDictionary
		    key: #associatedClass!
		    value: #NetArc!
		    key: #windowBounds!
		    value: [Rectangle
		      origin: [Point 321 206]
		      corner: [Point 781 596]
		    ]

		  ]

		]

		[ProjectorGraph
		  nodes: [OrderedCollection
		    [ProjectorDataPort
		      position: [Point 92 99]
		      parentCon: [GrapEThingAddress
			id: 95!
		      ]

		      id: 186!
		    ]

		    [ProjectorDataPort
		      position: [Point 121 194]
		      parentCon: [GrapEThingAddress
			id: 96!
		      ]

		      id: 184!
		    ]

		    [ProjectorGraphLabel
		      name: 'generateScheme'!
		      position: [Point 101 36]
		    ]

		    [ProjectorConstant
		      position: [Point 48 182]
		      id: 178!
		      properties: [GrapEPropertyDictionary
			key: #value!
			value: '"relationships"'!
		      ]

		    ]

		    [ProjectorProcedure
		      name: 'name'!
		      position: [Point 188 122]
		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      name: 'Port1'!
			      position: [Point -1 -10]
			      id: 187!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #In!
			      ]

			    ]

			    [ProjectorDataPort
			      position: [Point 2 10]
			      id: 176!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #Out!
			      ]

			    ]

			  ]
			]

		      ]

		    ]

		    [ProjectorFork
		      position: [Point 146 99]
		      id: 180!
		    ]

		    [ProjectorProcedure
		      name: 'origin'!
		      position: [Point 235 122]
		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      name: 'Port1'!
			      position: [Point -1 -10]
			      id: 188!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #In!
			      ]

			    ]

			    [ProjectorDataPort
			      position: [Point -1 10]
			      id: 189!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #Out!
			      ]

			    ]

			  ]
			]

		      ]

		    ]

		    [ProjectorProcedure
		      name: 'schemeMethodFor'!
		      position: [Point 214 189]
		      archetype: [GrapEThingAddress
			id: 193!
		      ]

		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      name: 'node'!
			      position: [Point 20 -10]
			      parentCon: [GrapEThingAddress
				id: 194!
			      ]

			      id: 211!
			    ]

			    [ProjectorDataPort
			      name: 'name'!
			      position: [Point -24 -10]
			      parentCon: [GrapEThingAddress
				id: 195!
			      ]

			      id: 208!
			    ]

			    [ProjectorDataPort
			      name: 'category'!
			      position: [Point -55 -7]
			      parentCon: [GrapEThingAddress
				id: 196!
			      ]

			      id: 209!
			    ]

			    [ProjectorDataPort
			      name: 'port'!
			      position: [Point -55 5]
			      parentCon: [GrapEThingAddress
				id: 197!
			      ]

			      id: 210!
			    ]

			  ]
			]

		      ]

		    ]

		  ]
		  arcs: [OrderedCollection
		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 176!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 208!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 178!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 209!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 180!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 188!
		      ]

		      route: [OrderedCollection
			[Point 234 99]
		      ]
		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 184!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 210!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 186!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 180!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 180!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 187!
		      ]

		      route: [OrderedCollection
			[Point 187 99]
		      ]
		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 189!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 211!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		  ]
		  id: 293!
		  properties: [GrapEPropertyDictionary
		    key: #associatedClass!
		    value: #MetaDoMERelationship!
		    key: #windowBounds!
		    value: [Rectangle
		      origin: [Point 90 99]
		      corner: [Point 667 441]
		    ]

		  ]

		]

	      ]
	      id: 97!
	      properties: [GrapEPropertyDictionary
		key: #category!
		value: 'Generation'!
	      ]

	    ]

	    [ProjectorProcedure
	      name: 'schemeMethod'!
	      position: [Point 205 186]
	      archetype: [GrapEThingAddress
		id: 127!
	      ]

	      components: [PartitionedCollection
		key: #accessories!
		value: [PartitionedCollection
		  key: #ports!
		  value: [OrderedCollection
		    [ProjectorDataPort
		      name: 'name'!
		      position: [Point -3 -10]
		      id: 129!
		      properties: [GrapEPropertyDictionary
			key: #direction!
			value: #In!
		      ]

		    ]

		    [ProjectorDataPort
		      name: 'typeName'!
		      position: [Point -30 -10]
		      id: 145!
		      properties: [GrapEPropertyDictionary
			key: #direction!
			value: #In!
		      ]

		    ]

		    [ProjectorDataPort
		      name: 'category'!
		      position: [Point -46 -5]
		      id: 130!
		      properties: [GrapEPropertyDictionary
			key: #direction!
			value: #In!
		      ]

		    ]

		    [ProjectorDataPort
		      name: 'port'!
		      position: [Point -46 5]
		      id: 131!
		      properties: [GrapEPropertyDictionary
			key: #direction!
			value: #In!
		      ]

		    ]

		  ]
		]

	      ]

	      subdiagrams: [OrderedCollection
		[ProjectorGraph
		  nodes: [OrderedCollection
		    [ProjectorDataPort
		      position: [Point 40 100]
		      parentCon: [GrapEThingAddress
			id: 129!
		      ]

		      id: 132!
		    ]

		    [ProjectorDataPort
		      position: [Point 43 179]
		      parentCon: [GrapEThingAddress
			id: 130!
		      ]

		      id: 134!
		    ]

		    [ProjectorDataPort
		      position: [Point 45 217]
		      parentCon: [GrapEThingAddress
			id: 131!
		      ]

		      id: 136!
		    ]

		    [ProjectorGraphLabel
		      name: 'schemeMethod'!
		      position: [Point 71 35]
		    ]

		    [ProjectorAlterCode
		      name: 'schemeMethod'!
		      position: [Point 195 169]
		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      name: 'name'!
			      position: [Point 0 -10]
			      id: 133!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #In!
			      ]

			    ]

			    [ProjectorDataPort
			      name: 'typename'!
			      position: [Point -27 -10]
			      id: 147!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #In!
			      ]

			    ]

			    [ProjectorDataPort
			      name: 'category'!
			      position: [Point -39 -6]
			      id: 135!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #In!
			      ]

			    ]

			    [ProjectorDataPort
			      name: 'port'!
			      position: [Point -39 9]
			      id: 137!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #In!
			      ]

			    ]

			  ]
			]

		      ]

		      properties: [GrapEPropertyDictionary
			key: #code!
			value: '(if (not (equal? name ""))
   (begin
	;; Output: (find-operation <operation-name>)
	(display "(find-operation " port)
	(display name port)
	(display ")" port)
	(newline port)

	;; Output: (add-method (<operation-name> (<type>) aGrapEThing) (get-property "<operation-name>" aGrapEThing))
	(display "(add-method (" port)
	(display name port)
	(display " (" port)
	(display typename port)
	(display ") aGrapEThing) (get-property \"" port)
	(display name port)
	(display "\" aGrapEThing))" port)
	(newline port)

	;; Output: (if (equal? (category <operation-name>) "yet-to-be-categorized") (category <operation-name> "<category>"))
	(display "(if (equal? (category " port)
	(display name port)
	(display ") \"yet-to-be-categorized\") (category " port)
	(display name port)
	(display " \"" port)
	(display category port)
	(display "\"))" port)
	(newline port)
	(newline port)
    ))'!
		      ]

		    ]

		    [ProjectorDataPort
		      position: [Point 43 137]
		      parentCon: [GrapEThingAddress
			id: 145!
		      ]

		      id: 146!
		    ]

		  ]
		  arcs: [OrderedCollection
		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 132!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 133!
		      ]

		      route: [OrderedCollection
			[Point 195 100]
		      ]
		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 134!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 135!
		      ]

		      route: [OrderedCollection
			[Point 85 179]
			[Point 85 163]
		      ]
		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 136!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 137!
		      ]

		      route: [OrderedCollection
			[Point 96 217]
			[Point 96 178]
		      ]
		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 146!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 147!
		      ]

		      route: [OrderedCollection
			[Point 168 137]
		      ]
		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		  ]
		  currentConfig: 'default'!
		  id: 128!
		  properties: [GrapEPropertyDictionary
		    key: #windowBounds!
		    value: [Rectangle
		      origin: [Point 90 99]
		      corner: [Point 667 441]
		    ]

		  ]

		]

	      ]
	      id: 127!
	    ]

	    [ProjectorProcedure
	      name: 'schemeMethodFor'!
	      position: [Point 218 259]
	      archetype: [GrapEThingAddress
		id: 193!
	      ]

	      components: [PartitionedCollection
		key: #accessories!
		value: [PartitionedCollection
		  key: #ports!
		  value: [OrderedCollection
		    [ProjectorDataPort
		      name: 'node'!
		      position: [Point 10 -10]
		      id: 194!
		      properties: [GrapEPropertyDictionary
			key: #direction!
			value: #In!
		      ]

		    ]

		    [ProjectorDataPort
		      name: 'name'!
		      position: [Point -12 -10]
		      id: 195!
		      properties: [GrapEPropertyDictionary
			key: #direction!
			value: #In!
		      ]

		    ]

		    [ProjectorDataPort
		      name: 'category'!
		      position: [Point -55 -7]
		      id: 196!
		      properties: [GrapEPropertyDictionary
			key: #direction!
			value: #In!
		      ]

		    ]

		    [ProjectorDataPort
		      name: 'port'!
		      position: [Point -55 5]
		      id: 197!
		      properties: [GrapEPropertyDictionary
			key: #direction!
			value: #In!
		      ]

		    ]

		  ]
		]

	      ]

	      subdiagrams: [OrderedCollection
		[ProjectorGraph
		  nodes: [OrderedCollection
		    [ProjectorDataPort
		      position: [Point 187 102]
		      parentCon: [GrapEThingAddress
			id: 194!
		      ]

		      id: 206!
		    ]

		    [ProjectorDataPort
		      position: [Point 64 181]
		      parentCon: [GrapEThingAddress
			id: 195!
		      ]

		      id: 202!
		    ]

		    [ProjectorDataPort
		      position: [Point 65 216]
		      parentCon: [GrapEThingAddress
			id: 196!
		      ]

		      id: 198!
		    ]

		    [ProjectorDataPort
		      position: [Point 115 232]
		      parentCon: [GrapEThingAddress
			id: 197!
		      ]

		      id: 204!
		    ]

		    [ProjectorGraphLabel
		      name: 'schemeMethodFor'!
		      position: [Point 91 35]
		    ]

		    [ProjectorProcedure
		      name: 'schemeMethod'!
		      position: [Point 205 224]
		      archetype: [GrapEThingAddress
			id: 127!
		      ]

		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      name: 'name'!
			      position: [Point -28 -14]
			      parentCon: [GrapEThingAddress
				id: 129!
			      ]

			      id: 203!
			    ]

			    [ProjectorDataPort
			      name: 'typeName'!
			      position: [Point 0 -14]
			      parentCon: [GrapEThingAddress
				id: 145!
			      ]

			      id: 201!
			    ]

			    [ProjectorDataPort
			      name: 'category'!
			      position: [Point -43 -8]
			      parentCon: [GrapEThingAddress
				id: 130!
			      ]

			      id: 199!
			    ]

			    [ProjectorDataPort
			      name: 'port'!
			      position: [Point -43 8]
			      parentCon: [GrapEThingAddress
				id: 131!
			      ]

			      id: 205!
			    ]

			  ]
			]

		      ]

		      bindings: [Set
			[ModelBinding
			  name: 'default'!
			  model: [GrapEThingAddress
			    id: 128!
			  ]

			]

		      ]
		    ]

		    [ProjectorProcedure
		      name: 'smalltalkClassName'!
		      position: [Point 205 161]
		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      name: 'Port1'!
			      position: [Point 0 -10]
			      id: 207!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #In!
			      ]

			    ]

			    [ProjectorDataPort
			      position: [Point 0 10]
			      id: 200!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #Out!
			      ]

			    ]

			  ]
			]

		      ]

		    ]

		  ]
		  arcs: [OrderedCollection
		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 198!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 199!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 200!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 201!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 202!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 203!
		      ]

		      route: [OrderedCollection
			[Point 177 181]
		      ]
		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 204!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 205!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 206!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 207!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		  ]
		  currentConfig: 'default'!
		  id: 295!
		  properties: [GrapEPropertyDictionary
		    key: #associatedClass!
		    value: #MetaDoMETwoListNode!
		    key: #windowBounds!
		    value: [Rectangle
		      origin: [Point 39 84]
		      corner: [Point 499 474]
		    ]

		  ]

		]

		[ProjectorGraph
		  nodes: [OrderedCollection
		    [ProjectorDataPort
		      position: [Point 50 99]
		      parentCon: [GrapEThingAddress
			id: 194!
		      ]

		      id: 212!
		    ]

		    [ProjectorDataPort
		      position: [Point 151 136]
		      parentCon: [GrapEThingAddress
			id: 195!
		      ]

		      id: 220!
		    ]

		    [ProjectorDataPort
		      position: [Point 53 179]
		      parentCon: [GrapEThingAddress
			id: 196!
		      ]

		      id: 216!
		    ]

		    [ProjectorDataPort
		      position: [Point 107 191]
		      parentCon: [GrapEThingAddress
			id: 197!
		      ]

		      id: 218!
		    ]

		    [ProjectorGraphLabel
		      name: 'schemeMethodFor'!
		      position: [Point 91 35]
		    ]

		    [ProjectorProcedure
		      name: 'schemeMethodFor'!
		      position: [Point 204 186]
		      archetype: [GrapEThingAddress
			id: 193!
		      ]

		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      name: 'node'!
			      position: [Point 20 -10]
			      parentCon: [GrapEThingAddress
				id: 194!
			      ]

			      id: 215!
			    ]

			    [ProjectorDataPort
			      name: 'name'!
			      position: [Point -36 -10]
			      parentCon: [GrapEThingAddress
				id: 195!
			      ]

			      id: 221!
			    ]

			    [ProjectorDataPort
			      name: 'category'!
			      position: [Point -55 -7]
			      parentCon: [GrapEThingAddress
				id: 196!
			      ]

			      id: 217!
			    ]

			    [ProjectorDataPort
			      name: 'port'!
			      position: [Point -55 5]
			      parentCon: [GrapEThingAddress
				id: 197!
			      ]

			      id: 219!
			    ]

			  ]
			]

		      ]

		    ]

		    [ProjectorProcedure
		      name: 'allsubclasses'!
		      position: [Point 193 99]
		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      name: 'Port1'!
			      position: [Point -40 0]
			      id: 213!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #In!
			      ]

			    ]

			    [ProjectorDataPort
			      position: [Point 31 10]
			      id: 214!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #Out!
			      ]

			    ]

			  ]
			]

		      ]

		    ]

		  ]
		  arcs: [OrderedCollection
		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 212!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 213!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 214!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 215!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #transfer!
			value: #reduce!
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 216!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 217!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #transfer!
			value: #maintain!
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 218!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 219!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #transfer!
			value: #maintain!
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 220!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 221!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #transfer!
			value: #maintain!
			key: #frozenColor!
			value: true!
		      ]

		    ]

		  ]
		  properties: [GrapEPropertyDictionary
		    key: #associatedClass!
		    value: #MetaDoMEGenericSpec!
		    key: #windowBounds!
		    value: [Rectangle
		      origin: [Point 80 61]
		      corner: [Point 540 451]
		    ]

		  ]

		]

	      ]
	      id: 193!
	      properties: [GrapEPropertyDictionary
		key: #category!
		value: 'Generation'!
	      ]

	    ]

	    [ProjectorProcedure
	      name: 'main'!
	      position: [Point 102 189]
	      archetype: [GrapEThingAddress
		id: 242!
	      ]

	      components: [PartitionedCollection
		key: #accessories!
		value: [PartitionedCollection
		  key: #ports!
		  value: [OrderedCollection
		    [ProjectorDataPort
		      name: ''!
		      position: [Point -16 0]
		      id: 243!
		      properties: [GrapEPropertyDictionary
			key: #direction!
			value: #In!
		      ]

		    ]

		  ]
		]

	      ]

	      subdiagrams: [OrderedCollection
		[ProjectorGraph
		  nodes: [OrderedCollection
		    [ProjectorDataPort
		      position: [Point 418 39]
		      parentCon: [GrapEThingAddress
			id: 243!
		      ]

		      id: 254!
		    ]

		    [ProjectorGraphLabel
		      name: 'main'!
		      position: [Point 37 22]
		    ]

		    [ProjectorFork
		      position: [Point 364 146]
		      id: 246!
		    ]

		    [ProjectorProcedure
		      name: 'generateScheme'!
		      position: [Point 436 150]
		      archetype: [GrapEThingAddress
			id: 97!
		      ]

		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      name: 'node'!
			      position: [Point -1 -14]
			      parentCon: [GrapEThingAddress
				id: 95!
			      ]

			      id: 251!
			    ]

			    [ProjectorDataPort
			      name: 'port'!
			      position: [Point -47 0]
			      parentCon: [GrapEThingAddress
				id: 96!
			      ]

			      id: 247!
			    ]

			  ]
			]

		      ]

		      bindings: [Set
			[ModelBinding
			  name: 'default'!
			  model: [GrapEThingAddress
			    id: 98!
			  ]

			]

		      ]
		      id: 252!
		    ]

		    [ProjectorProcedure
		      name: 'open-output-file'!
		      position: [Point 284 151]
		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      name: 'Port1'!
			      position: [Point -48 0]
			      id: 245!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #In!
			      ]

			    ]

			    [ProjectorDataPort
			      position: [Point 48 0]
			      id: 248!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #Out!
			      ]

			    ]

			  ]
			]

		      ]

		    ]

		    [ProjectorProcedure
		      name: 'components'!
		      position: [Point 434 95]
		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      name: 'Port1'!
			      position: [Point -1 -14]
			      id: 255!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #In!
			      ]

			    ]

			    [ProjectorDataPort
			      position: [Point 1 14]
			      id: 250!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #Out!
			      ]

			    ]

			  ]
			]

		      ]

		      id: 301!
		    ]

		    [ProjectorProcedure
		      name: 'close-output-port'!
		      position: [Point 435 207]
		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      name: 'Port1'!
			      position: [Point -50 0]
			      id: 249!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #In!
			      ]

			    ]

			  ]
			]

		      ]

		      id: 253!
		    ]

		    [ProjectorProcedure
		      name: 'request-new-file-name'!
		      position: [Point 89 73]
		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      position: [Point 58 2]
			      id: 262!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #Out!
			      ]

			    ]

			  ]
			]

		      ]

		    ]

		    [ProjectorConditional
		      position: [Point 282 100]
		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorConditionalPort
			      name: 'T'!
			      position: [Point 12 4]
			      id: 260!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #Out!
			      ]

			    ]

			    [ProjectorConditionalPort
			      name: 'F'!
			      position: [Point -12 4]
			      id: 299!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #Out!
			      ]

			    ]

			  ]
			]

		      ]

		      id: 259!
		    ]

		    [ProjectorFork
		      position: [Point 167 70]
		      id: 263!
		    ]

		    [ProjectorFork
		      position: [Point 166 100]
		      id: 261!
		    ]

		    [ProjectorProcedure
		      name: 'nil?'!
		      position: [Point 211 75]
		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      name: 'Port1'!
			      position: [Point -15 0]
			      id: 300!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #In!
			      ]

			    ]

			    [ProjectorDataPort
			      position: [Point 16 0]
			      id: 298!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #Out!
			      ]

			    ]

			  ]
			]

		      ]

		    ]

		  ]
		  arcs: [OrderedCollection
		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 246!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 247!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #transfer!
			value: #maintain!
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 248!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 246!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 246!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 249!
		      ]

		      route: [OrderedCollection
			[Point 369 207]
		      ]
		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 250!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 251!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #transfer!
			value: #reduce!
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorControlFlow
		      indexedOrigin: [GrapEThingAddress
			id: 252!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 253!
		      ]

		      color: [ColorValue
			red: 1.0!
			green: 0.0!
			blue: 0.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 254!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 255!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 298!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 259!
		      ]

		      route: [OrderedCollection
			[Point 282 75]
		      ]
		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorControlFlow
		      indexedOrigin: [GrapEThingAddress
			id: 299!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 261!
		      ]

		      color: [ColorValue
			red: 1.0!
			green: 0.0!
			blue: 0.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 262!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 263!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 263!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 300!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 263!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 261!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 261!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 245!
		      ]

		      route: [OrderedCollection
			[Point 171 151]
		      ]
		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorControlFlow
		      indexedOrigin: [GrapEThingAddress
			id: 299!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 301!
		      ]

		      route: [OrderedCollection
			[Point 266 117]
			[Point 336 117]
			[Point 336 95]
		      ]
		      color: [ColorValue
			red: 1.0!
			green: 0.0!
			blue: 0.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		  ]
		  currentConfig: 'default'!
		  id: 257!
		  properties: [GrapEPropertyDictionary
		    key: #windowBounds!
		    value: [Rectangle
		      origin: [Point 323 535]
		      corner: [Point 950 988]
		    ]

		  ]

		]

	      ]
	      id: 242!
	    ]

	    [ProjectorProcedure
	      name: 'smalltalkClassName'!
	      position: [Point 112 118]
	      archetype: [GrapEThingAddress
		id: 271!
	      ]

	      components: [PartitionedCollection
		key: #accessories!
		value: [PartitionedCollection
		  key: #ports!
		  value: [OrderedCollection
		    [ProjectorDataPort
		      name: 'Port1'!
		      position: [Point 0 -10]
		      id: 152!
		      properties: [GrapEPropertyDictionary
			key: #direction!
			value: #In!
		      ]

		    ]

		    [ProjectorDataPort
		      name: 'result'!
		      position: [Point 0 10]
		      id: 153!
		      properties: [GrapEPropertyDictionary
			key: #direction!
			value: #Out!
		      ]

		    ]

		  ]
		]

	      ]

	      subdiagrams: [OrderedCollection
		[ProjectorGraph
		  nodes: [OrderedCollection
		    [ProjectorDataPort
		      position: [Point 47 185]
		      parentCon: [GrapEThingAddress
			id: 152!
		      ]

		      id: 275!
		    ]

		    [ProjectorDataPort
		      position: [Point 189 144]
		      parentCon: [GrapEThingAddress
			id: 153!
		      ]

		      id: 274!
		    ]

		    [ProjectorGraphLabel
		      name: 'smalltalkClassName'!
		      position: [Point 91 35]
		    ]

		    [ProjectorProcedure
		      name: 'get-property'!
		      position: [Point 83 144]
		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      name: 'Port1'!
			      position: [Point -18 -14]
			      id: 276!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #In!
			      ]

			    ]

			    [ProjectorDataPort
			      name: 'Port2'!
			      position: [Point -18 14]
			      id: 278!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #In!
			      ]

			    ]

			    [ProjectorDataPort
			      position: [Point 38 0]
			      id: 273!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #Out!
			      ]

			    ]

			  ]
			]

		      ]

		    ]

		    [ProjectorConstant
		      position: [Point 102 94]
		      id: 277!
		      properties: [GrapEPropertyDictionary
			key: #value!
			value: '"smalltalkClassName"'!
		      ]

		    ]

		  ]
		  arcs: [OrderedCollection
		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 273!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 274!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 277!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 276!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 275!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 278!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		  ]
		  currentConfig: 'default'!
		  id: 272!
		  properties: [GrapEPropertyDictionary
		    key: #associatedClass!
		    value: #MetaDoMETwoListNode!
		    key: #windowBounds!
		    value: [Rectangle
		      origin: [Point 196 316]
		      corner: [Point 656 706]
		    ]

		  ]

		]

	      ]
	      id: 271!
	      properties: [GrapEPropertyDictionary
		key: #category!
		value: 'accessing'!
	      ]

	    ]

	    [ProjectorProcedure
	      name: 'allSubClasses'!
	      position: [Point 173 151]
	      archetype: [GrapEThingAddress
		id: 281!
	      ]

	      components: [PartitionedCollection
		key: #accessories!
		value: [PartitionedCollection
		  key: #ports!
		  value: [OrderedCollection
		    [ProjectorDataPort
		      name: 'Port1'!
		      position: [Point -42 0]
		      id: 229!
		      properties: [GrapEPropertyDictionary
			key: #direction!
			value: #In!
		      ]

		    ]

		    [ProjectorDataPort
		      name: 'result'!
		      position: [Point 43 0]
		      id: 230!
		      properties: [GrapEPropertyDictionary
			key: #direction!
			value: #Out!
		      ]

		    ]

		  ]
		]

	      ]

	      subdiagrams: [OrderedCollection
		[ProjectorGraph
		  nodes: [OrderedCollection
		    [ProjectorDataPort
		      position: [Point 130 175]
		      parentCon: [GrapEThingAddress
			id: 229!
		      ]

		      id: 287!
		    ]

		    [ProjectorDataPort
		      position: [Point 255 136]
		      parentCon: [GrapEThingAddress
			id: 230!
		      ]

		      id: 284!
		    ]

		    [ProjectorGraphLabel
		      name: 'allSubClasses'!
		      position: [Point 91 35]
		    ]

		    [ProjectorProcedure
		      name: 'get-property'!
		      position: [Point 166 136]
		      components: [PartitionedCollection
			key: #accessories!
			value: [PartitionedCollection
			  key: #ports!
			  value: [OrderedCollection
			    [ProjectorDataPort
			      name: 'Port1'!
			      position: [Point -18 -10]
			      id: 286!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #In!
			      ]

			    ]

			    [ProjectorDataPort
			      name: 'Port2'!
			      position: [Point -18 10]
			      id: 288!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #In!
			      ]

			    ]

			    [ProjectorDataPort
			      position: [Point 40 0]
			      id: 283!
			      properties: [GrapEPropertyDictionary
				key: #direction!
				value: #Out!
			      ]

			    ]

			  ]
			]

		      ]

		    ]

		    [ProjectorConstant
		      position: [Point 161 96]
		      id: 285!
		      properties: [GrapEPropertyDictionary
			key: #value!
			value: '"allSubClasses"'!
		      ]

		    ]

		  ]
		  arcs: [OrderedCollection
		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 283!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 284!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 285!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 286!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		    [ProjectorDataFlow
		      indexedOrigin: [GrapEThingAddress
			id: 287!
		      ]

		      indexedDestination: [GrapEThingAddress
			id: 288!
		      ]

		      color: [ColorValue
			red: 0.0!
			green: 0.0!
			blue: 1.0!
		      ]

		      properties: [GrapEPropertyDictionary
			key: #frozenColor!
			value: true!
		      ]

		    ]

		  ]
		  currentConfig: 'default'!
		  id: 282!
		  properties: [GrapEPropertyDictionary
		    key: #associatedClass!
		    value: #MetaDoMETwoListNode!
		    key: #windowBounds!
		    value: [Rectangle
		      origin: [Point 15 30]
		      corner: [Point 475 420]
		    ]

		  ]

		]

	      ]
	      id: 281!
	      properties: [GrapEPropertyDictionary
		key: #category!
		value: 'accessing'!
	      ]

	    ]

	    [GraphParentLabel
	      position: [Point 82 35]
	    ]

	  ]
	  properties: [GrapEPropertyDictionary
	    key: #originOffset!
	    value: [Point 53 -37]
	    key: #windowBounds!
	    value: [Rectangle
	      origin: [Point 68 494]
	      corner: [Point 940 885]
	    ]

	    key: #rootCategory!
	    value: [GrapECategory
	      id: 294!
	      properties: [GrapEPropertyDictionary
		key: #name!
		value: '/'!
	      ]

	    ]

	  ]

	]

      ]
    ]

    [ProjectorGraphLabel
      name: 'metadome2alter.projector'!
      position: [Point 41 13]
    ]

    [ProjectorStatementBlock
      position: [Point 216 60]
      components: [PartitionedCollection
	key: #accessories!
	value: [PartitionedCollection
	  key: #ports!
	  value: [OrderedCollection
	    [ProjectorDataPort
	      position: [Point -42 -2]
	      id: 9!
	      properties: [GrapEPropertyDictionary
		key: #direction!
		value: #In!
	      ]

	    ]

	    [ProjectorDataPort
	      position: [Point -42 66]
	      id: 11!
	      properties: [GrapEPropertyDictionary
		key: #direction!
		value: #In!
	      ]

	    ]

	    [ProjectorDataPort
	      position: [Point 81 119]
	      id: 16!
	      properties: [GrapEPropertyDictionary
		key: #direction!
		value: #Out!
	      ]

	    ]

	  ]
	]

	key: #elements!
	value: [PartitionedCollection
	  key: #statements!
	  value: [SortedCollection
	    [ProjectorConditional
	      position: [Point 15 99]
	      components: [PartitionedCollection
		key: #accessories!
		value: [PartitionedCollection
		  key: #ports!
		  value: [OrderedCollection
		    [ProjectorConditionalPort
		      name: 'T'!
		      position: [Point 12 4]
		      id: 18!
		      properties: [GrapEPropertyDictionary
			key: #direction!
			value: #Out!
		      ]

		    ]

		    [ProjectorConditionalPort
		      name: 'F'!
		      position: [Point -12 4]
		      properties: [GrapEPropertyDictionary
			key: #direction!
			value: #Out!
		      ]

		    ]

		  ]
		]

	      ]

	      id: 14!
	    ]

	    [ProjectorFork
	      position: [Point 76 99]
	      id: 15!
	    ]

	    [ProjectorFork
	      position: [Point 9 -7]
	      id: 17!
	    ]

	    [ProjectorProcedure
	      name: 'equal?'!
	      position: [Point 14 67]
	      components: [PartitionedCollection
		key: #accessories!
		value: [PartitionedCollection
		  key: #ports!
		  value: [OrderedCollection
		    [ProjectorDataPort
		      name: 'Port1'!
		      position: [Point 0 -14]
		      id: 125!
		      properties: [GrapEPropertyDictionary
			key: #direction!
			value: #In!
		      ]

		    ]

		    [ProjectorDataPort
		      name: 'Port2'!
		      position: [Point -21 -1]
		      id: 121!
		      properties: [GrapEPropertyDictionary
			key: #direction!
			value: #In!
		      ]

		    ]

		    [ProjectorDataPort
		      position: [Point 1 14]
		      id: 122!
		      properties: [GrapEPropertyDictionary
			key: #direction!
			value: #Out!
		      ]

		    ]

		  ]
		]

	      ]

	    ]

	    [ProjectorAlterCode
	      name: 'truncated filename'!
	      position: [Point 13 25]
	      components: [PartitionedCollection
		key: #accessories!
		value: [PartitionedCollection
		  key: #ports!
		  value: [OrderedCollection
		    [ProjectorDataPort
		      name: 'first'!
		      position: [Point 1 -10]
		      id: 19!
		      properties: [GrapEPropertyDictionary
			key: #direction!
			value: #In!
		      ]

		    ]

		    [ProjectorDataPort
		      position: [Point 1 10]
		      id: 21!
		      properties: [GrapEPropertyDictionary
			key: #direction!
			value: #Out!
		      ]

		    ]

		  ]
		]

	      ]

	      properties: [GrapEPropertyDictionary
		key: #code!
		value: '(let ((filename (get-property "filename" first)))
	(cond
		((equal? filename nil) "")
		(else (get-property "asString" filename))))'!
	      ]

	    ]

	  ]
	]

      ]

    ]

    [ProjectorProcedure
      name: 'open-models'!
      position: [Point 58 58]
      components: [PartitionedCollection
	key: #accessories!
	value: [PartitionedCollection
	  key: #ports!
	  value: [OrderedCollection
	    [ProjectorDataPort
	      position: [Point 37 0]
	      id: 119!
	      properties: [GrapEPropertyDictionary
		key: #direction!
		value: #Out!
	      ]

	    ]

	  ]
	]

      ]

    ]

    [ProjectorProcedure
      name: 'request-file-name'!
      position: [Point 61 125]
      components: [PartitionedCollection
	key: #accessories!
	value: [PartitionedCollection
	  key: #ports!
	  value: [OrderedCollection
	    [ProjectorDataPort
	      position: [Point 47 0]
	      id: 120!
	      properties: [GrapEPropertyDictionary
		key: #direction!
		value: #Out!
	      ]

	    ]

	  ]
	]

      ]

    ]

    [ProjectorProcedure
      name: 'main'!
      position: [Point 298 219]
      archetype: [GrapEThingAddress
	id: 242!
      ]

      components: [PartitionedCollection
	key: #accessories!
	value: [PartitionedCollection
	  key: #ports!
	  value: [OrderedCollection
	    [ProjectorDataPort
	      name: 'graph'!
	      position: [Point -1 -14]
	      parentCon: [GrapEThingAddress
		id: 243!
	      ]

	      id: 256!
	    ]

	  ]
	]

      ]

      bindings: [Set
	[ModelBinding
	  name: 'default'!
	  model: [GrapEThingAddress
	    id: 257!
	  ]

	]

      ]
    ]

  ]
  arcs: [OrderedCollection
    [ProjectorDataFlow
      indexedOrigin: [GrapEThingAddress
	id: 119!
      ]

      indexedDestination: [GrapEThingAddress
	id: 9!
      ]

      color: [ColorValue
	red: 0.0!
	green: 0.0!
	blue: 1.0!
      ]

      properties: [GrapEPropertyDictionary
	key: #transfer!
	value: #reduce!
	key: #frozenColor!
	value: true!
      ]

    ]

    [ProjectorDataFlow
      indexedOrigin: [GrapEThingAddress
	id: 120!
      ]

      indexedDestination: [GrapEThingAddress
	id: 11!
      ]

      color: [ColorValue
	red: 0.0!
	green: 0.0!
	blue: 1.0!
      ]

      properties: [GrapEPropertyDictionary
	key: #transfer!
	value: #maintain!
	key: #frozenColor!
	value: true!
      ]

    ]

    [ProjectorDataFlow
      indexedOrigin: [GrapEThingAddress
	id: 11!
      ]

      indexedDestination: [GrapEThingAddress
	id: 121!
      ]

      color: [ColorValue
	red: 0.0!
	green: 0.0!
	blue: 1.0!
      ]

      properties: [GrapEPropertyDictionary
	key: #frozenColor!
	value: true!
      ]

    ]

    [ProjectorDataFlow
      indexedOrigin: [GrapEThingAddress
	id: 122!
      ]

      indexedDestination: [GrapEThingAddress
	id: 14!
      ]

      color: [ColorValue
	red: 0.0!
	green: 0.0!
	blue: 1.0!
      ]

      properties: [GrapEPropertyDictionary
	key: #frozenColor!
	value: true!
      ]

    ]

    [ProjectorDataFlow
      indexedOrigin: [GrapEThingAddress
	id: 15!
      ]

      indexedDestination: [GrapEThingAddress
	id: 16!
      ]

      color: [ColorValue
	red: 0.0!
	green: 0.0!
	blue: 1.0!
      ]

      properties: [GrapEPropertyDictionary
	key: #frozenColor!
	value: true!
      ]

    ]

    [ProjectorDataFlow
      indexedOrigin: [GrapEThingAddress
	id: 9!
      ]

      indexedDestination: [GrapEThingAddress
	id: 17!
      ]

      color: [ColorValue
	red: 0.0!
	green: 0.0!
	blue: 1.0!
      ]

      properties: [GrapEPropertyDictionary
	key: #frozenColor!
	value: true!
      ]

    ]

    [ProjectorControlFlow
      indexedOrigin: [GrapEThingAddress
	id: 18!
      ]

      indexedDestination: [GrapEThingAddress
	id: 15!
      ]

      color: [ColorValue
	red: 1.0!
	green: 0.0!
	blue: 0.0!
      ]

      properties: [GrapEPropertyDictionary
	key: #frozenColor!
	value: true!
      ]

    ]

    [ProjectorDataFlow
      indexedOrigin: [GrapEThingAddress
	id: 17!
      ]

      indexedDestination: [GrapEThingAddress
	id: 19!
      ]

      color: [ColorValue
	red: 0.0!
	green: 0.0!
	blue: 1.0!
      ]

      properties: [GrapEPropertyDictionary
	key: #frozenColor!
	value: true!
      ]

    ]

    [ProjectorDataFlow
      indexedOrigin: [GrapEThingAddress
	id: 17!
      ]

      indexedDestination: [GrapEThingAddress
	id: 15!
      ]

      route: [OrderedCollection
	[Point 297 58]
      ]
      color: [ColorValue
	red: 0.0!
	green: 0.0!
	blue: 1.0!
      ]

      properties: [GrapEPropertyDictionary
	key: #frozenColor!
	value: true!
      ]

    ]

    [ProjectorDataFlow
      indexedOrigin: [GrapEThingAddress
	id: 16!
      ]

      indexedDestination: [GrapEThingAddress
	id: 256!
      ]

      color: [ColorValue
	red: 0.0!
	green: 0.0!
	blue: 1.0!
      ]

      properties: [GrapEPropertyDictionary
	key: #frozenColor!
	value: true!
      ]

    ]

    [ProjectorDataFlow
      indexedOrigin: [GrapEThingAddress
	id: 21!
      ]

      indexedDestination: [GrapEThingAddress
	id: 125!
      ]

      color: [ColorValue
	red: 0.0!
	green: 0.0!
	blue: 1.0!
      ]

      properties: [GrapEPropertyDictionary
	key: #frozenColor!
	value: true!
      ]

    ]

  ]
  currentConfig: 'default'!
  id: 292!
  properties: [GrapEPropertyDictionary
    key: #loadFile!
    value: 'metadome.alter'!
    key: #printFormat!
    value: #savePostScript:append:!
    key: #printName!
    value: 'metadome2alter.projector'!
    key: #initialOpenGraphs!
    value: [OrderedCollection
      [GrapEThingAddress
	id: 292!
      ]

      [GrapEThingAddress
	id: 257!
      ]

    ]
    key: #printSubdiagrams!
    value: false!
    key: #printer!
    value: 'bw2'!
    key: #entry!
    value: 'main'!
    key: #printLandscape!
    value: false!
    key: #printToFile!
    value: false!
    key: #printSize!
    value: 10.5!
    key: #windowBounds!
    value: [Rectangle
      origin: [Point 342 158]
      corner: [Point 845 545]
    ]

  ]

  idCntr: 301!
]
